Package com.enonic.xp.content

## Class CreateContentTranslatorParams.Builder

- java.lang.Object
- - com.enonic.xp.content.CreateContentTranslatorParams.Builder

- Enclosing class:
    CreateContentTranslatorParams

      public static final class CreateContentTranslatorParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreateContentTranslatorParams` | `build()` |
    `CreateContentTranslatorParams.Builder` | `childOrder​(ChildOrder childOrder)` |
    `CreateContentTranslatorParams.Builder` | `contentData​(PropertyTree data)` |
    `CreateContentTranslatorParams.Builder` | `contentPublishInfo​(ContentPublishInfo info)` |
    `CreateContentTranslatorParams.Builder` | `createAttachments​(CreateAttachments createAttachments)` |
    `CreateContentTranslatorParams.Builder` | `creator​(PrincipalKey creator)` |
    `CreateContentTranslatorParams.Builder` | `displayName​(String displayName)` |
    `CreateContentTranslatorParams.Builder` | `extraDatas​(ExtraDatas extraDatas)` |
    `CreateAttachments` | `getCreateAttachments()` |
    `PropertyTree` | `getData()` |
    `String` | `getDisplayName()` |
    `ExtraDatas` | `getExtraDatas()` |
    `ContentName` | `getName()` |
    `ContentTypeName` | `getType()` |
    `CreateContentTranslatorParams.Builder` | `inheritPermissions​(boolean inheritPermissions)` |
    `CreateContentTranslatorParams.Builder` | `language​(Locale language)` |
    `CreateContentTranslatorParams.Builder` | `name​(ContentName name)` |
    `CreateContentTranslatorParams.Builder` | `name​(String name)` |
    `CreateContentTranslatorParams.Builder` | `owner​(PrincipalKey owner)` |
    `CreateContentTranslatorParams.Builder` | `parent​(ContentPath parentContentPath)` |
    `CreateContentTranslatorParams.Builder` | `permissions​(AccessControlList permissions)` |
    `CreateContentTranslatorParams.Builder` | `processedIds​(ContentIds processedIds)` |
    `CreateContentTranslatorParams.Builder` | `type​(ContentTypeName type)` |
    `CreateContentTranslatorParams.Builder` | `valid​(boolean valid)` |
    `CreateContentTranslatorParams.Builder` | `validationErrors​(ValidationErrors validationErrors)` |
    `CreateContentTranslatorParams.Builder` | `workflowInfo​(WorkflowInfo workflowInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### contentData

          public CreateContentTranslatorParams.Builder contentData​(PropertyTree data)

    - #### extraDatas

          public CreateContentTranslatorParams.Builder extraDatas​(ExtraDatas extraDatas)

    - #### type

          public CreateContentTranslatorParams.Builder type​(ContentTypeName type)

    - #### owner

          public CreateContentTranslatorParams.Builder owner​(PrincipalKey owner)

    - #### creator

          public CreateContentTranslatorParams.Builder creator​(PrincipalKey creator)

    - #### displayName

          public CreateContentTranslatorParams.Builder displayName​(String displayName)

    - #### name

          public CreateContentTranslatorParams.Builder name​(ContentName name)

    - #### name

          public CreateContentTranslatorParams.Builder name​(String name)

    - #### childOrder

          public CreateContentTranslatorParams.Builder childOrder​(ChildOrder childOrder)

    - #### parent

          public CreateContentTranslatorParams.Builder parent​(ContentPath parentContentPath)

    - #### validationErrors

          public CreateContentTranslatorParams.Builder validationErrors​(ValidationErrors validationErrors)

    - #### valid

          public CreateContentTranslatorParams.Builder valid​(boolean valid)

    - #### permissions

          public CreateContentTranslatorParams.Builder permissions​(AccessControlList permissions)

    - #### inheritPermissions

          public CreateContentTranslatorParams.Builder inheritPermissions​(boolean inheritPermissions)

    - #### createAttachments

          public CreateContentTranslatorParams.Builder createAttachments​(CreateAttachments createAttachments)

    - #### language

          public CreateContentTranslatorParams.Builder language​(Locale language)

    - #### contentPublishInfo

          public CreateContentTranslatorParams.Builder contentPublishInfo​(ContentPublishInfo info)

    - #### processedIds

          public CreateContentTranslatorParams.Builder processedIds​(ContentIds processedIds)

    - #### workflowInfo

          public CreateContentTranslatorParams.Builder workflowInfo​(WorkflowInfo workflowInfo)

    - #### getData

          public PropertyTree getData()

    - #### getType

          public ContentTypeName getType()

    - #### getName

          public ContentName getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getExtraDatas

          public ExtraDatas getExtraDatas()

    - #### getCreateAttachments

          public CreateAttachments getCreateAttachments()

    - #### build

          public CreateContentTranslatorParams build()